- Home
- API Enriched
- Shape
- shape
- Clone Alert Template.
Clone Alert Template.
POST
/api/shape/alerts/namespaces/{namespace}/alert_gen_policy/{name}/status
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/alerts/namespaces/example/alert_gen_policy/example/status';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","status":"ALERT_ACTIVE"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/alerts/namespaces/example/alert_gen_policy/example/status \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "status": "ALERT_ACTIVE" }'Clone the BRM Alert Template.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
The namespace in which the the alert is present.
name
required
string
Name
The name of the alert.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ChangeAlertStatusRequest
Request to change status of alert.
object
name
name
The name of the alert.
string
namespace
namespace
The namespace in which the the alert is present.
string
status
string
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
ChangeAlertStatusResponse
Response to change status of alert.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example